Subject: linux-next: build failure after merge of the mm-hotfixes tree

From: Mark Brown <[email-masked]>
Date: Tue, 21 Apr 2026 13:59:58 +0100

Hi all,

After merging the mm-hotfixes tree, today's linux-next build (arm64
allnoconfig) failed like this:

ld: Unexpected GOT/PLT entries detected!
ld: Unexpected run-time procedure linkages detected!
ld: arch/arm64/mm/fault.o: in function `tag_clear_highpages':
fault.c:(.text+0xc40): undefined reference to `mte_clear_page_tags'

Caused by commit

  99e63a49650cc (mm/page_alloc: fix initialization of tags of the huge zero folio with init_on_free)

I have used the version from next-20260420 instead.  The commit removed
the system_supports_mte() check from tag_clear_highpages() which makes
the MTE operations in the function unconditional and goes badly when MTE
is disabled in Kconfig, the system_supports_mte() check should be added
back.